using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using Microsoft.ServiceModel.Samples.Syndication;
using System.Data;
namespace Microsoft.ServiceModel.Samples.Syndication
{
    [ServiceContract]
    public class NWindService 
    {
        [OperationContract]
        public DataTableContentFeed GetCustomers()
        {
            DataTable table=NWindQuery.ExecCustomersQuery();
            DataTableContentFeed feed = new DataTableContentFeed(table);
            return feed;
        }

        [OperationContract]
        public DataTableContentFeed GetCustomerOrders(string customerId)
        {
            DataTable table = NWindQuery.ExecCustomerOrdersQuery(customerId);
            DataTableContentFeed feed = new DataTableContentFeed(table);
            return feed;
        }

    }
}
