using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using Microsoft.ServiceModel.Samples.Syndication;
namespace Microsoft.ServiceModel.Samples.Syndication
{
    class Program
    {
        static void Main(string[] args)
        {
            ContentFeedHost host = new ContentFeedHost(
                typeof(ItemListService),
                new Uri("http://localhost:8077/ItemListService"));
            //endpoints defined in code
            host.AddRssEndpoint(typeof(ItemListService), "rss1");
            host.AddAtomEndpoint(typeof(ItemListService), "atom1");

            host.Open();
            Console.WriteLine("Service started ...");
            Console.WriteLine("Press [Enter] to exit");
            Console.ReadLine();
            host.Close();

        }
    }
}
