using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.ServiceModel.Samples.Syndication.Configuration
{
    internal class ConfigurationStrings
    {
        internal const string PoxSectionName = "poxMessageEncoding";
        internal const string WriteEncodingName = "writeEncoding";
        internal const string WriteContentTypeName = "writeContentType";
        internal const string ReadContentTypeName = "readContentType";
        internal const string DefaultWriteEncoding = "utf-8";
        internal const string DefaultWriteContentType = HttpConstants.AtomContentType;
        internal const string DefaultReadContentType = HttpConstants.AtomContentType;
        internal const string ContentTypeName = "contentType";
        internal const string PoxBindingSectionName = "system.serviceModel/bindings/poxHttpBinding";
    }
}
