using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;
using System.Xml.Serialization;
namespace Microsoft.ServiceModel.Samples.Syndication
{
    [DataContract(
       Name = FeedConstants.Category,
        Namespace = FeedConstants.FeedNamespace)]
    [XmlType(TypeName=FeedConstants.Category,
       Namespace=FeedConstants.FeedNamespace)]
    public class FeedCategory
    {
        string domainField;
        string categoryField;
        public FeedCategory()
        {
        }
        public FeedCategory(string domain, string name)
        {
            domainField = domain;
            categoryField = name;
        }
        [DataMember(Name=FeedConstants.CategoryDomain)]
        [XmlElement(ElementName = FeedConstants.CategoryDomain)]
        public string CategoryDomain
        {
            get { return domainField; }
            set { domainField = value; }
        }
        [DataMember(Name=FeedConstants.CategoryValue)]
        [XmlElement(ElementName = FeedConstants.CategoryValue)]
        public string CategoryValue
        {
            get { return categoryField; }
            set { categoryField = value; }
        }
    }
}
