using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using Microsoft.ServiceModel.Samples.Syndication;
namespace Microsoft.ServiceModel.Samples.Syndication
{
    class Program
    {
        static void Main(string[] args)
        {
            ContentFeedHost host = new ContentFeedHost(
                typeof(TaskListService),
                new Uri("http://localhost:8079/XmlSerializerService"));
            host.AddRssEndpoint(typeof(TaskListService), "rss");
            host.AddAtomEndpoint(typeof(TaskListService), "atom");
            host.Open();
            Console.WriteLine("Service started ...");
            Console.WriteLine("Press [Enter] to exit");
            Console.ReadLine();
            host.Close();

        }
    }
}
