//------------------------------------------------------------
// Copyright (c) Microsoft Corporation.  All rights reserved.
//------------------------------------------------------------

namespace Microsoft.ServiceModel.Samples.Syndication.Configuration
{
    using System;
    using System.Configuration;
    using System.ServiceModel;
    using System.ServiceModel.Configuration;

    public class UriDispatchBehaviorSection : BehaviorExtensionElement
    {
        protected override object CreateBehavior()
        {
            return new UriDispatchBehavior();
        }

        public override Type BehaviorType
        {
            get { return typeof(UriDispatchBehavior); }
        }

    }
}