using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.ServiceModel.Samples.Syndication
{
    public class FeedConstants
    {
        public const string FeedName = "Feed";
        public const string DataTableFeedName = "DataTableFeed";
        public const string XmlReaderFeedName = "XmlReaderFeed";
        public const string FeedNamespace = "http://schemas.microsoft.com/2006/04/serviceModel/feed";
        public const string FeedTitle = "FeedTitle";
        public const string FeedAuthor = "FeedAuthor";
        public const string FeedDescription = "FeedDescription";
        public const string FeedImage = "FeedImage";
        public const string FeedCopyright = "FeedCopyright";
        public const string FeedLink = "FeedLink";
        public const string FeedWebPageLink = "FeedWebPageLink";
        public const string FeedGenerator = "FeedGenerator";
        public const string FeedId = "FeedId";
        public const string FeedLastUpdated = "FeedLastUpdated";
        public const string FeedLanguage = "FeedLanguage";
        public const string FeedItems = "FeedItems";
        public const string FeedCategories = "FeedCategories";
        public const string FeedExtensions = "FeedExtensions";

        public const string FeedItem = "FeedItem";
        public const string DataRowFeedItem = "DataRowFeedItem";
        public const string XmlReaderFeedItem = "XmlReaderFeedItem";
        public const string ItemTitle = "ItemTitle";
        public const string ItemContent = "ItemContent";
        public const string ItemPublishDate = "ItemPublishDate";
        public const string ItemLastUpdated = "ItemLastUpdated";
        public const string ItemWebPageLink = "ItemWebPageLink";
        public const string ItemId = "ItemId";
        public const string ItemAuthor = "ItemAuthor";
        public const string ItemCommentsLink = "ItemCommentsLink";
        public const string ItemExtensions = "ItemExtensions";
        public const string ItemCategories = "ItemCategories";
        public const string Category = "Category";

        public const string CategoryValue = "CategoryValue";
        public const string CategoryDomain = "CategoryDomain";

        public const string FeedItemList = "FeedItemList";
      
    }
    public class SseConstants
    {
        public const string SseNamespace = "http://www.microsoft.com/schemas/rss/sse";
    }
}
