using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.ServiceModel.Samples.Syndication
{
    public interface IFeedItem
    {
        string ItemId { get; set; }
        string ItemTitle {get; set; }
        string ItemWebPageLink {get; set; }
        ItemContent ItemContent { get; set; }
        Nullable<DateTime> ItemPublishDate { get; set; }
        string ItemAuthor { get; set; }
        string ItemCommentsLink { get; set; }
        List<FeedCategory> ItemCategories { get; set; }
        ContentExtensions ItemExtensions { get; set; }
        Nullable<DateTime> ItemLastUpdated { get; set; }
    }
}
