using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
namespace Microsoft.ServiceModel.Samples.Syndication
{
    public class ItemContent : IXmlSerializable
    {
        bool unescapedContent;
        string content;
        public ItemContent()
        {
            //for XmlSerializer
        }
        public ItemContent(string content, bool unescapedContent)
        {
            this.content = content;
            this.unescapedContent = unescapedContent;
        }


        #region IXmlSerializable Members

        public System.Xml.Schema.XmlSchema GetSchema()
        {
            return null;
        }

        public void ReadXml(System.Xml.XmlReader reader)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        public void WriteXml(System.Xml.XmlWriter writer)
        {
            if (writer == null)
            {
                throw new ArgumentNullException("writer");
            }
            if (this.unescapedContent)
            {
                writer.WriteRaw(content);
            }
            else
            {
                writer.WriteString(content);
            }
        }

        #endregion
    }
}
